﻿using igGridSort.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridSort.Controllers
{
    public class HomeController : Controller
    {

        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),
               
            };
            
            return View(viewModel);
        }

        [ComboDataSourceAction]
        [ActionName("combo-data")]
        public ActionResult ComboData()
        {
            //IEnumerable<Status> statuses = Status.GetStatus().AsQueryable();
            //var data = new List<int> { 0, 1, 2, 4 };
            var customers = new List<string>
            {
                "John Smith", "Bob Richards", "Marge Wright", "Dwight Long" 
            };
            return View(customers);
        }

        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith", IsActive=true, Birthdate=new System.DateTime(2020,12,05, 17, 25, 6), Date=new System.DateTime(2022, 11, 04, 11, 05, 20), IsFun=true, TOTAL_SALARIES=0, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=2, Name="Bob Richards", IsActive=false, Birthdate=new System.DateTime(2022,01,10,23,15,0), Date=new System.DateTime(2022, 03, 01, 19, 05, 20), IsFun=false, TOTAL_SALARIES=0, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=3, Name="Marge Wright", IsActive=false,Birthdate=new System.DateTime(2023,01,10, 6, 15, 8), Date=new System.DateTime(2022, 08, 22, 23, 05, 20), IsFun=false, TOTAL_SALARIES=0, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=4, Name="Dwight Long", IsActive=true, Birthdate=new System.DateTime(2020,12,08, 16, 15, 8), Date=new System.DateTime(2022, 01, 14, 11, 35, 20), IsFun=true, TOTAL_SALARIES=1, FRINGE_RATE=0, JustifiedAmount=0 , BudgetAmount=0},
                new Customer { ID=7, Name="Bob Richards1", IsActive=false, Birthdate=new System.DateTime(2020,12,09, 6, 15, 8), Date=new System.DateTime(2022, 02, 14, 08, 05, 20), IsFun=false, TOTAL_SALARIES=0, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=8, Name="Marge Wright1", IsActive=false,Birthdate=new System.DateTime(2020,12,07, 02, 15, 8), Date=new System.DateTime(2022, 10, 07, 14, 05, 20), IsFun=false, TOTAL_SALARIES=0, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=9, Name="Dwight Long1", IsActive=true, Birthdate=new System.DateTime(2020,12,08, 6, 15, 8), Date=new System.DateTime(2022, 12, 15, 21, 05, 20), IsFun=true, TOTAL_SALARIES=1, FRINGE_RATE=0, JustifiedAmount=0, BudgetAmount=0 },
                new Customer { ID=18, Name="Amy Grant1", IsActive=true, Birthdate=new System.DateTime(2020,12,09, 6, 15, 8), Date=new System.DateTime(2022, 07, 04, 18, 05, 20), IsFun=true, TOTAL_SALARIES=11, FRINGE_RATE=2, JustifiedAmount=500 , BudgetAmount=400},
            };
        }

        
    }
}